# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-08-28 13:35
from __future__ import unicode_literals

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import embed_video.fields


class Migration(migrations.Migration):

    dependencies = [
        ('news', '0004_auto_20170826_1843'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='article',
            options={'verbose_name': 'статья', 'verbose_name_plural': 'статьи'},
        ),
        migrations.AlterModelOptions(
            name='articleimage',
            options={'ordering': ('order_field',), 'verbose_name': 'изображение', 'verbose_name_plural': 'изображения'},
        ),
        migrations.AlterModelOptions(
            name='articlevideo',
            options={'ordering': ('order_field',), 'verbose_name': 'видео', 'verbose_name_plural': 'видео'},
        ),
        migrations.AlterModelOptions(
            name='category',
            options={'ordering': ('order_field',), 'verbose_name': 'категория статьи', 'verbose_name_plural': 'категории статьи'},
        ),
        migrations.AlterModelOptions(
            name='comment',
            options={'verbose_name': 'комментарий', 'verbose_name_plural': 'комментарии'},
        ),
        migrations.AlterField(
            model_name='article',
            name='category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='news.Category', verbose_name='категория'),
        ),
        migrations.AlterField(
            model_name='article',
            name='cover',
            field=models.ImageField(upload_to='', verbose_name='обложка'),
        ),
        migrations.AlterField(
            model_name='article',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='дата создания'),
        ),
        migrations.AlterField(
            model_name='article',
            name='rates',
            field=models.PositiveIntegerField(verbose_name='сумма оценок'),
        ),
        migrations.AlterField(
            model_name='article',
            name='snippet_length',
            field=models.PositiveIntegerField(default=255, verbose_name='маскимальная длина анонса'),
        ),
        migrations.AlterField(
            model_name='article',
            name='text',
            field=ckeditor.fields.RichTextField(verbose_name='текст'),
        ),
        migrations.AlterField(
            model_name='article',
            name='title',
            field=models.CharField(max_length=200, verbose_name='заголовок'),
        ),
        migrations.AlterField(
            model_name='article',
            name='votes',
            field=models.PositiveIntegerField(verbose_name='проголосовало'),
        ),
        migrations.AlterField(
            model_name='articleimage',
            name='article',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='news.Article', verbose_name='статья'),
        ),
        migrations.AlterField(
            model_name='articleimage',
            name='img',
            field=models.ImageField(upload_to='', verbose_name='изображение'),
        ),
        migrations.AlterField(
            model_name='articleimage',
            name='order_field',
            field=models.PositiveIntegerField(default=0, verbose_name='нажать и тащить'),
        ),
        migrations.AlterField(
            model_name='articlevideo',
            name='article',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='news.Article', verbose_name='статья'),
        ),
        migrations.AlterField(
            model_name='articlevideo',
            name='order_field',
            field=models.PositiveIntegerField(default=0, verbose_name='нажать и тащить'),
        ),
        migrations.AlterField(
            model_name='articlevideo',
            name='video',
            field=embed_video.fields.EmbedVideoField(verbose_name='видео'),
        ),
        migrations.AlterField(
            model_name='category',
            name='order_field',
            field=models.PositiveIntegerField(default=0, verbose_name='нажать и тащить'),
        ),
        migrations.AlterField(
            model_name='category',
            name='title',
            field=models.CharField(max_length=1024, verbose_name='заголовок'),
        ),
        migrations.AlterField(
            model_name='comment',
            name='created',
            field=models.DateTimeField(auto_now_add=True, verbose_name='дата публикации'),
        ),
        migrations.AlterField(
            model_name='comment',
            name='text',
            field=ckeditor.fields.RichTextField(verbose_name='комментарий'),
        ),
        migrations.AlterField(
            model_name='comment',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='пользователь'),
        ),
    ]
